// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// _uPassWrite wrapper class

class _uPassWrite : public COleDispatchDriver
{
public:
	_uPassWrite() {}		// Calls COleDispatchDriver default constructor
	_uPassWrite(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_uPassWrite(const _uPassWrite& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	CString GetTBack_DiskName();
	CString GetTBack_DrvKeyNumber();
	DATE GetTBack_RegDate();
	CString GetTBack_SoftCode();
	CString GetTBack_UnitName();
	CString GetTBack_CustomA();
	CString GetTBack_CustomB();
	BOOL GetTBack_IsTime();
	double GetTBack_UseTime();
	BOOL GetTBack_IsFate();
	double GetTBack_UseFate();
	BOOL GetTBack_IsAll();
	DATE GetTBack_LastDate();
	CString GetTBack_AnnexInfo();
	short GetTBack_MsgNo();
	CString GetTBack_MsgStr();
	BOOL PassAbout();
	BOOL PassCreate(LPCTSTR Ad_PWD, LPCTSTR User_Pwd);
	BOOL PassClear(LPCTSTR Ad_PWD);
	BOOL ChangePassWD(LPCTSTR OLD_PassWD, LPCTSTR NEW_PassWD, LPCTSTR Ad_PWD, short Pw_type);
};
